SEQUENCER(4)

NAME
sequencer - OSS-compatible MIDI sequencer device

SYNOPSIS
pseudo-device sequencer [count]

#include <sys/types.h>
#include <sys/midiio.h>

DESCRIPTION
The sequencer device provides an event-oriented interface simultaneously to all MIDI ports. Events sent to or received from this device not only contain the actual MIDI events, but also timing information. The kernel will make sure that data is sent to the physical device at the indicated time. The sequencer device uses the midi(4) devices internally and they are unavailable when used by the sequencer device.

The API for the sequencer device is binary compatible with the OSS sequencer interface.

FILES
/dev/music
    new sequencer device using 8-byte events
/dev/sequencer
    old sequencer device using 4-byte events

SEE ALSO
midiplay(1), ioctl(2), ossaudio(3), midi(4)

HISTORY
The sequencer driver first appeared in OpenBSD 2.5.

AUTHORS
The sequencer driver was written by Lennart Augustsson.